bl_addon_info = {
	"name": "Submit To Deadline",
	"author": "Ryan Russell",
	"version": (1,0),
	"blender": (2, 5, 0),
	"category": "Render",
	"location": "Render > Submit To Deadline",
	"description": "Submit a Blender job to Deadline",
	}

import bpy, os, sys

class SubmitToDeadline_Operator (bpy.types.Operator):
	bl_idname = "SubmitToDeadline_Operator"
	bl_label = "Submit To Deadline"
	
	def execute( self, context ):
		# Get the repository root
		stdout = None
		if os.path.exists( "/Applications/Deadline/Resources/bin/deadlinecommand" ):
			stdout = os.popen( "/Applications/Deadline/Resources/bin/deadlinecommand GetRepositoryRoot" )
		else:
			stdout = os.popen(" deadlinecommand GetRepositoryRoot" )
		root = stdout.read().replace("\n","").replace("\r","")
		path = root + "/submission/Blender"
		stdout.close()
		
		# Add the path to the system path
		print( "Appending \"" + path + "\" to system path to import SubmitBlender25ToDeadline module" )
		sys.path.append( path )
		
		# Import the script and call the main() function
		import SubmitBlender25ToDeadline
		SubmitBlender25ToDeadline.main( root )
		
		return {'FINISHED'}
	
def deadline_submit_button( self, context ):
	self.layout.separator()
	self.layout.operator( "SubmitToDeadline_Operator", text="Submit To Deadline" )

def register():
	bpy.types.INFO_MT_render.append( deadline_submit_button )

def unregister():
	bpy.types.INFO_MT_render.remove( deadline_submit_button )

if __name__ == "__main__":
	register()
